New Search

Samba mksmboasswd Disabled Account Creation Vulnerability

oval:org.mitre.oval:def:827

The mksmbpasswd shell script (mksmbpasswd.sh) in Samba 3.0.0 and 3.0.1 when creating an account but marking it as disabled may overwrite the user password with an uninitialized buffer which could enable the account with a more easily guessable password.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • Red Hat Enterprise Linux 3
Class:
vulnerability
Reference(s):
  • CVE-2004-0082
Product(s):
  • Samba 3.0.0 and 3.0.1